Bug 979167 - Unable to change Desired Capacity of system after resizing swap with BTRFS
Unable to change Desired Capacity of system after resizing swap with BTRFS
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 15:48 EDT by Luke Macken
Modified: 2016-09-19 22:45 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:57:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2013-06-27 15:48:46 EDT
Description of problem:
After doing automatic partitioning with BTRFS, I am unable to shrink the swap and resize my system to utilize the extra space. This does work with LVM, however.

Version-Release number of selected component (if applicable):
anaconda-19.30.13-1.fc19

How reproducible:
Always

Steps to Reproduce:
1. Choose BTRFS, review/modify configuration, and click automatic partitioning
2. Shrink the swap partition
3. Attempt to change the Desired Capacity of your system or home partitions

Actual results:
The Desired Capacity field is disabled.

Expected results:
You should be able to give the extra space to your system, just like you can with LVM.
Comment 1 David Lehman 2013-06-27 16:36:02 EDT
The btrfs subvolumes are all part of the same btrfs volume. As a result, they have no size of their own -- there is only the size of the volume. To edit the volume, select any of the btrfs mountpoints and then click the Edit or Modify (I forget which it is) button on the lower right hand side of the options area on the right side of the screen. A dialog will appear which includes options for setting the btrfs volume's size. You might need to change it "As large as possible" and then click the "Update settings" button once you are back to the main screen.

Let me know if that does not get you the desired result.
Comment 2 Luke Macken 2013-06-27 17:33:51 EDT
Yes, that looks like changing the size policy does the trick, thanks.
Comment 3 Karel Volný 2013-08-22 09:35:57 EDT
(In reply to David Lehman from comment #1)
> The btrfs subvolumes are all part of the same btrfs volume. As a result,
> they have no size of their own -- there is only the size of the volume. To
> edit the volume, select any of the btrfs mountpoints and then click the Edit
> or Modify (I forget which it is) button on the lower right hand side of the
> options area on the right side of the screen. A dialog will appear which
> includes options for setting the btrfs volume's size. You might need to
> change it "As large as possible" and then click the "Update settings" button
> once you are back to the main screen.

I've found one problem with that ... even having set the size to "As large as possible", the displayed size does not change

could that be fixed so that after e.g. shrinking the swap the size displayed for btrfs mountpoints increases when the volume is set to anything else than "Fixed"?
Comment 4 Fedora End Of Life 2015-01-09 17:10:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 08:57:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.